Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStyleOptionTab.CornerWidget

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QStyleOptionTab.CornerWidget

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QStyleOptionTab

    public static final class QStyleOptionTab.CornerWidget

extends java.lang.Enum
implements QtEnumerator

These flags indicate the corner widgets in a tab.

See also:
  cornerWidgets.

See Also:
  Serialized Form

Field Summary
`static QStyleOptionTab.CornerWidget` | `LeftCornerWidget` Left corner widget
`static QStyleOptionTab.CornerWidget` | `NoCornerWidgets` There are no corner widgets
`static QStyleOptionTab.CornerWidget` | `RightCornerWidget` Right corner widget

Method Summary
`static QStyleOptionTab.CornerWidgets` | `createQFlags(QStyleOptionTab.CornerWidget[] values)` This function creates a com.trolltech.qt.gui.QStyleOptionTab$CornerWidgets with the specified `com.trolltech.qt.gui.QStyleOptionTab$CornerWidget[]` CornerWidget values set.
`static QStyleOptionTab.CornerWidget` | `resolve(int value)` Returns the CornerWidget constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QStyleOptionTab.CornerWidget` | `valueOf(java.lang.String name)`
`static QStyleOptionTab.CornerWidget[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NoCornerWidgets

    public static final QStyleOptionTab.CornerWidget NoCornerWidgets

  There are no corner widgets

### LeftCornerWidget

    public static final QStyleOptionTab.CornerWidget LeftCornerWidget

  Left corner widget

### RightCornerWidget

    public static final QStyleOptionTab.CornerWidget RightCornerWidget

  Right corner widget

Method Detail

### values

    public static QStyleOptionTab.CornerWidget[] values()

### valueOf

    public static QStyleOptionTab.CornerWidget valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QStyleOptionTab.CornerWidgets createQFlags(QStyleOptionTab.CornerWidget[] values)

  This function creates a com.trolltech.qt.gui.QStyleOptionTab$CornerWidgets with the specified `com.trolltech.qt.gui.QStyleOptionTab$CornerWidget[]` CornerWidget values set.

### resolve

    public static QStyleOptionTab.CornerWidget resolve(int value)

  Returns the CornerWidget constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD